VERSION 5.00
Begin VB.Form frmComments 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Comments"
   ClientHeight    =   3285
   ClientLeft      =   45
   ClientTop       =   285
   ClientWidth     =   5310
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3285
   ScaleWidth      =   5310
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdOk 
      Caption         =   "&Ok"
      Height          =   435
      Left            =   960
      TabIndex        =   1
      ToolTipText     =   "Click to accept changes to comments"
      Top             =   2730
      Width           =   1575
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "&Cancel"
      Height          =   435
      Left            =   2760
      TabIndex        =   2
      ToolTipText     =   "Click to cancel"
      Top             =   2730
      Width           =   1575
   End
   Begin VB.TextBox txtComments 
      Height          =   2415
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Text            =   "comments.frx":0000
      ToolTipText     =   "Type comments here"
      Top             =   120
      Width           =   5055
   End
End
Attribute VB_Name = "frmComments"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'force variable declaration
Option Explicit


Private Sub cmdCancel_Click()
   'set mouse to busy
   Screen.MousePointer = vbHourglass
      
   'close form
   Me.Hide
   Unload Me
End Sub


Private Sub cmdOk_Click()
   Dim Comments As String
   Dim pos As Long
   
   'set mouse to busy
   Screen.MousePointer = vbHourglass
   
   'trim whitespace and add final delimiter
   Comments = TrimComments(txtComments.Text)
   Comments = Comments & vbCrLf
   
   'erase current comments
   Theme(NumTheme).NumComments = -1
   ReDim Theme(NumTheme).Comments(0 To 0) As CommentType
   
   'parse text into comment lines
   While Comments <> ""
      pos = InStr(1, Comments, vbCrLf, vbTextCompare)
      If pos = 0 Then
         pos = Len(Comments)
      End If
   
      'add new comment line
      Theme(NumTheme).NumComments = Theme(NumTheme).NumComments + 1
      ReDim Preserve Theme(NumTheme).Comments(0 To Theme(NumTheme).NumComments) As CommentType
      If Left$(Comments, pos) = "" Then
         Theme(NumTheme).Comments(Theme(NumTheme).NumComments).Blank = True
      Else
         Theme(NumTheme).Comments(Theme(NumTheme).NumComments).Blank = False
         Theme(NumTheme).Comments(Theme(NumTheme).NumComments).Text = Left$(Comments, pos)
      End If
      
      'remove substring from comment text and whitespace
      Comments = Trim(Right$(Comments, Len(Comments) - pos - 1))
      
      'trim whitespace from comment line
      If Theme(NumTheme).Comments(Theme(NumTheme).NumComments).Blank = False Then
         Theme(NumTheme).Comments(Theme(NumTheme).NumComments).Text = TrimComments(Theme(NumTheme).Comments(Theme(NumTheme).NumComments).Text)
      End If
   Wend
   
   'increment number of comments
   Theme(NumTheme).NumComments = Theme(NumTheme).NumComments + 1
   
   'enable save menu button
   frmTheme.mnuFileSave.Enabled = True
      
   'close form
   Me.Hide
   Unload Me
End Sub


Private Sub Form_Load()
   Dim a As Integer
   
   'insert comments into text field
   txtComments.Text = ""
   For a = 0 To Theme(NumTheme).NumComments - 1
      If Theme(NumTheme).Comments(a).Blank = True Then
         txtComments.Text = txtComments.Text & vbCrLf
      Else
         txtComments.Text = txtComments.Text & Theme(NumTheme).Comments(a).Text
      End If
      If a <> Theme(NumTheme).NumComments Then
         txtComments.Text = txtComments.Text & vbCrLf
      End If
   Next a
   
   'trim whitespace
   txtComments.Text = TrimComments(txtComments.Text)
   
   'set mouse to normal
   Screen.MousePointer = vbDefault
End Sub


Public Function TrimComments(ByVal Comments As String) As String
   Dim Character As String
   
   'store comment text
   TrimComments = Trim(Comments)
   
   'remove leading whitespace
   Character = Left$(TrimComments, 1)
   While (Character = vbCr) Or (Character = vbLf)
      TrimComments = Right$(TrimComments, Len(TrimComments) - 1)
      Character = Left$(TrimComments, 1)
   Wend
   
   'remove trailing whitespace
   Character = Right$(TrimComments, 1)
   While (Character = vbCr) Or (Character = vbLf)
      TrimComments = Left$(TrimComments, Len(TrimComments) - 1)
      Character = Right$(TrimComments, 1)
   Wend
   
   'remove any leading and trailing spaces
   TrimComments = Trim(TrimComments)
End Function
