VERSION 5.00
Begin VB.Form frmNew 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "New Theme"
   ClientHeight    =   2010
   ClientLeft      =   45
   ClientTop       =   285
   ClientWidth     =   3495
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2010
   ScaleWidth      =   3495
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.ComboBox cmbBasedOn 
      Height          =   315
      Left            =   870
      Style           =   2  'Dropdown List
      TabIndex        =   1
      ToolTipText     =   "Select theme on which to base new theme"
      Top             =   840
      Width           =   2505
   End
   Begin VB.TextBox txtName 
      Height          =   285
      Left            =   120
      TabIndex        =   0
      ToolTipText     =   "Type new theme's name here"
      Top             =   360
      Width           =   3255
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "&Ok"
      Enabled         =   0   'False
      Height          =   435
      Left            =   120
      TabIndex        =   2
      ToolTipText     =   "Click to add theme"
      Top             =   1410
      Width           =   1560
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "&Cancel"
      Height          =   435
      Left            =   1815
      TabIndex        =   3
      ToolTipText     =   "Click to cancel"
      Top             =   1410
      Width           =   1560
   End
   Begin VB.Label lblBasedOn 
      BackStyle       =   0  'Transparent
      Caption         =   "Based on"
      Height          =   195
      Left            =   120
      TabIndex        =   5
      Top             =   900
      Width           =   675
   End
   Begin VB.Label lblName 
      BackStyle       =   0  'Transparent
      Caption         =   "Enter name for theme:"
      Height          =   195
      Left            =   120
      TabIndex        =   4
      Top             =   120
      Width           =   1560
   End
End
Attribute VB_Name = "frmNew"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'force variable declaration
Option Explicit


Private Sub cmdCancel_Click()
   'set mouse to busy
   Screen.MousePointer = vbHourglass
   
   'close form
   Me.Hide
   Unload Me
End Sub


Private Sub cmdOk_Click()
   'set mouse to busy
   Screen.MousePointer = vbHourglass
   
   'create new theme based on selected theme
   NumTotalThemes = NumTotalThemes + 1
   ReDim Preserve Theme(0 To NumTotalThemes - 1) As ThemeType
   Theme(NumTotalThemes - 1).Name = Trim(txtName.Text)
   Call CopyTheme(Theme(cmbBasedOn.ListIndex), Theme(NumTotalThemes - 1))
   
   'update theme select box
   frmTheme.cmbTheme.AddItem Theme(NumTotalThemes - 1).Name
   frmTheme.cmbTheme.ListIndex = frmTheme.cmbTheme.ListCount - 1
   
   'enable save menu button
   frmTheme.mnuFileSave.Enabled = True
   
   'close form
   Me.Hide
   Unload Me
End Sub


Private Sub Form_Load()
   Dim a As Integer
   
   'insert theme names into based on theme combobox
   cmbBasedOn.Clear
   For a = 0 To NumTotalThemes - 1
      cmbBasedOn.AddItem Theme(a).Name
   Next a
   cmbBasedOn.ListIndex = 0
   
   'set mouse to normal
   Screen.MousePointer = vbDefault
End Sub


Private Sub txtName_Change()
   'disable ok box if empty text
   If Trim(txtName.Text) = "" Then
      cmdOk.Default = False
      cmdOk.Enabled = False
   Else
      cmdOk.Default = True
      cmdOk.Enabled = True
   End If
End Sub


Private Sub txtName_GotFocus()
   'highlight text
   txtName.SelStart = 0
   txtName.SelLength = Len(txtName.Text)
End Sub


Private Sub txtName_LostFocus()
   'trim text
   txtName.Text = Trim(txtName.Text)
End Sub
